diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index 7debeba6c..1152c58b5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -88,8 +88,12 @@ function(
           applies: ['object', 'context'], callback: 'detach_partition',
           priority: 2, label: gettext('Detach Partition'),
           icon: 'fa fa-remove',
-        },
-        ]);
+        },{
+          name: 'count_table_rows', node: 'partition', module: pgBrowser.Nodes['table'],
+          applies: ['object', 'context'], callback: 'count_table_rows',
+          category: 'Count', priority: 2, label: gettext('Count Rows'),
+          enable: true,
+        }]);
       },
       generate_url: function(item, type, d, with_id, info) {
         if (_.indexOf([
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index b7adaa8e9..ab1f38d50 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -251,9 +251,13 @@ define('pgadmin.node.table', [
           if (!d)
             return false;
 
+          /* Set the type to table so that partition module can call this func */
+          let newD = {
+            ...d, _type: this.type,
+          };
           // Fetch the total rows of a table
           $.ajax({
-            url: obj.generate_url(i, 'count_rows' , d, true),
+            url: obj.generate_url(i, 'count_rows' , newD, true),
             type:'GET',
           })
             .done(function(res) {
